activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Artem Pronchakov <artem.proncha...@calisto.email>
Subject Artemis 1.2.0 on JBoss fuse 6.2.1
Date Fri, 15 Apr 2016 10:23:10 GMT
Hello!

I've found that artemis has artemis-server-osgi subproject that can be 
used to install artemis broker inside OSGi environment.
But it works only on Karaf 4, not less.

However JBoss fuse that we use works on Karaf 2.4 (appearantly osgi 
v.4.3.1)

What should I do to run artemis on Karaf 2.4?

I suppose I should implement BundleActivator interface to start and stop 
broker.
But maybe there are other requirements?

Any advice would be helpful.

Thank you.

Mime
View raw message